<?php
//*********************/
//Скрипт переписан админом
//http://waufon.ru  Кот      *  Проги для компа и мобил
//Помогал админ
//http://pfc.h2m.ru/ КОСМОС  * Посети непожалееш
//всю эту срань господнюю
//перехуяривали на дыры
//http://rus-waphost.ru/ Nitrix * Супер хост без висов
/*********************/
require( "inc/conf.inc.php" );
require( "inc/check.php" );
echo "<title>Анкета</title>";
echo "<style type=\"text/css\">";
echo "body { font-size: {$fs}; color: {$tcol}; background-color: {$bcol} }";
echo "a:link,a:visited { text-decoration: underline; color: {$lcol} }";
echo "div { border-style:solid; border-width: 1px; background-color: {$rcol} }";
echo ".cp { border-style:solid; border-width: 1px; color: #FFFFFF ; background-color: #808080 }";
echo ".dl { border-style:solid; border-width: 1px; color: #FFFFFF ; background-color: #FF0000 }";
echo "</style>";
echo "</head>";
echo "<body>";
$dbid = intval( $dbid );
$q_u = mysql_query( "select * from users where id='{$dbid}';" );
if ( mysql_num_rows( $q_u ) == 0 )
{
echo "<div align=\"center\">Такого юзера не существует!</div>";
}
else
{
$data = @mysql_fetch_array( @$q_u );
$blogid = $data['id'];
$level = $row['level'];
$shtamp = $data['shtamp'];
$status = $data['status'];
$icq = $data['icq']; 
$ulevel = $data['level'];
$mafcredits = $data['mafcredits'];
$votefoto = $data['votefoto'];
$zags = $data['zags'];
$zagsdate = intval( $zagsdate );
$photo = "p".$dbid.".jpg";
$byear = $data['byear'];
$year = date("Y");
$ustat = $data['level'];
if ( $ulevel < 4 )
{
$text = "- Пользователь";
}
else if ( $ulevel == 4 )
{
$text = "- V.I.P.";
}
else if ( $ulevel == 5 )
{
$text = "- Модератор";
}
else if ( $ulevel == 6 )
{
$text = "- Ст. модератор";
}
else if ( $ulevel == 7 )
{
$text = "- Админ";
}
else if ( $ulevel == 8 )
{
$text = "- Главный админ";
}
else if ( $ulevel == 9 )
{
$text = "- СисАдмин";
}
/////Группа/////////
if ( $ustat < 3 )
{
$ustat = "Пользователи";
}
else if ( $ustat == 4 )
{
$ustat = "V.I.P.";
}
else if ( $ustat == 5 )
{
$ustat = "Модераторы";
}
else if ( $ustat == 6 )
{
$ustat = "Старшие модераторы";
}
else if ( $ustat == 7 )
{
$ustat = "Администраторы";
}
else if ( $ustat == 8 )
{
$ustat = "Главные администраторы";
}
else if ( $ustat ==9 )
{
$ustat = "Инквизиция";
}
else if ( $ustat ==99 )   
{  
$ustat = "Пользователь";   
}
////////Конец групам////////////
if ($dbid == 10) 
{
print "<div align=\"center\"><b>".$data['login']."- Пользователь</b></div><br/><div>"; 
} 
else 
{
print "<div align=\"center\"><b>".$data['login']." {$text}</b></div><br/><div>";
}
/////////Закачаное фото самим пользоватилем/////
if ( file_exists( "foto/{$photo}" ) )
{
echo "<img src=\"foto/{$photo}\" width=128 alt=\"foto\"/><br/>";
echo "<b>Голосов за фото:</b> ".$data['votefoto']." <br/>";
}
/////////
if ( $data['sex'] == "1" )
{
$sex = "Парень";
}
else if ( $data['sex'] == "2" )
{
$sex = "Девушка";
}
else
{
$sex = "неопределен";
}
echo "<b>ID {$blogid}</b><br/>";
echo "<b>Имя:</b> {$data['name']}<br/>";
echo "<b>Пол:</b> {$sex} <br/>";
echo "<b>Дата рождения:</b> {$data['bday']}-{$data['bmonth']}-{$data['byear']}<br/>";
##### подсчёт возраста именинников #######
$r=mysql_query( "SELECT id, login, birth, byear from users WHERE  id='{$dbid}'" );
while ( $a = mysql_fetch_array( $r ) )
{
$byear = $a[3];
if ($year>$byear) $age=$year-$byear; 
else  $age="Не известены";
if ((!$age)||($age==0)||($age=="")||($age>$year)) $age="Не известены";
else if (($age==1)||($age==21)||($age==31)||($age==41)||($age==51)) $years = "год";
else if (($age==2)||($age==3)||($age==4)||($age==22)||($age==23)||($age==24)||($age==32)||($age==33)||($age==34)||($age==42)||($age==43)||($age==44)||($age==52)||($age==53)||($age==54))  $years = "года";
else if ($age>60) $age ="Невозможно определить из-за отсутствия даты рождения";
else  $years = "лет";
$age="<i>".$age."</i>\n";
echo"<b>Возраст:</b> ".($age)."$years <br/>";
}


$avatar = "".$dbid.".jpg";
$avatar = "".$dbid.".gif";
if ( file_exists( "loadavatars/{$avatar}" ) )
{
echo "<b>Аватор:</b>";
echo "<img src=\"loadavatars/{$avatar}\" width=40 alt=\"avatar\"/><br/>";
}
require( "nastroj.php" );
###################
echo "<b>Настроение:</b> {$nastroj} <br/>";
if ($dbid == 10)
{
echo "<b>Группа:</b> Пользователи<br/>";
}
else 
{ 
echo "<b>Группа:</b> {$ustat}<br/>"; 
}
echo "<b>Постов уш:</b> {$data['posts']}<br/>";
if ( $rm == 0 )
{
echo "<b>Наумничал:</b> {$data['vposts']} ответов.<br/>";
echo "<b>Из них купленых:</b> {$data['kupleno']}<br/>";
echo "<b>Награда:</b> {$genij}<br/>";
}

//print "</a><b>Имущество:</b> <b>$bogatstvo</b> <br/>";
print "</a><b>В кошельке:</b> <b>$baks</b>- Баксов<br/>";
//print "<b>Призрачность -</b> $prizrak<br/>";
//print "<b>Привилегии -</b> $telo<br/>";


###*/
if ( !empty( $data[live] ) )
{
echo "<b>Место жительства:</b> {$data['live']}<br/>";
}
if ( !empty( $data[mobile] ) )
{
echo "<b>Модель мобилы:</b> {$data['mobile']}<br/>";
}
if ( !empty( $data[email] ) )
{
echo "<b>e-mail:</b> {$data['email']}<br/>";
}
if ( !empty( $data[icq] ) )  
{  
echo "<b>Аська:</b> {$data['icq']}<br/>";
}
if ( !empty( $data[url] ) )
{
echo "<b>WAP-сайт:</b>";
if ( 3 < $ulevel )
{
echo "<a href=\"{$data['url']}\"></a><br/>";
}
else
{
echo "{$data['url']}<br/>";
}
}
echo "<b>Статус:</b> {$status} <br/>";
echo "<b>Постов:</b> ".$data['posts']." <br/>";
##########################
if ( 100 <= $vposts && $vposts < 200 && $genij == "0" )
{
mysql_query( "update users set genij='1' where id='{$id}';" );
}
if ( 200 <= $vposts && $vposts < 300 && $genij == "1" )
{
mysql_query( "update users set genij='2' where id='{$id}';" );
}
if ( 300 <= $vposts && $vposts < 400 && $genij == "2" )
{
mysql_query( "update users set genij='3' where id='{$id}';" );
}
if ( 400 <= $vposts && $vposts < 500 && $genij == "3" )
{
mysql_query( "update users set genij='4' where id='{$id}';" );
}
if ( 500 <= $vposts && $vposts < 600 && $genij == "4" )
{
mysql_query( "update users set genij='5' where id='{$id}';" );
}
if ( 600 <= $vposts && $genij == "5" )
{
mysql_query( "update users set genij='6' where id='{$id}';" );
}
########################*/
echo "<b>Ответов:</b> ".$data['vposts']." <br/>";
echo "<b>Кредитов:</b> ".$data['credits']." <br/>";
echo "<b>Баксов МАФИИ:</b> ".$data['mafcredits']." <br/>";
if ( !empty( $data[about] ) )
{
echo "<b>О себе:</b> {$data['about']}<br/>";
}
################FRIENDS##########
echo "<b>Друзья:</b>";
$q = mysql_query( "select usid from friends where id='{$dbid}' ;" );
$res = mysql_query( "select * from friends where id='{$dbid}'  ;" );
while ($drug = mysql_fetch_array( $res ))
{
$from = $drug['login'];
$qp=mysql_query("select id from users where ci='".$ci."' and login='{$from}';"); 
 while($db=mysql_fetch_array($qp)) 
 $dbid=$db['id'];
echo "<a href=\"user.php?id={$id}&amp;pass={$pass}&amp;url={$url}&amp;ci={$ci}&amp;rm={$rm}&amp;dbid={$dbid}\">{$from},</a>| ";
}
##################################
################enemys##########
echo "<br/><b>Враги:</b>";
$q = mysql_query( "select usid from enemys where id='{$dbid}' ;" );
$res = mysql_query( "select * from enemys where id='{$dbid}'  ;" );
while ($vrag = mysql_fetch_array( $res ))
{
$from = $vrag['login'];

$qp=mysql_query("select id from users where ci='".$ci."' and login='{$from}';"); 
 while($db=mysql_fetch_array($qp)) 
 $dbid=$db['id'];



echo "<a href=\"user.php?id={$id}&amp;pass={$pass}&amp;url={$url}&amp;ci={$ci}&amp;rm={$rm}&amp;dbid={$dbid}\">{$from},</a>| ";
}
##################################
$bogatstvo = $data['bogatstvo'];
$telo = $data['krutoj'];
print "<br/></a><b>Имущество:</b> <b>$bogatstvo</b><br/>";
print "<b>Привилегии -</b> $telo";
echo "<br/><b>Семейное положение:</b> {$zags}<br/>";
echo "<b>Дата СВАДЬБЫ:</b> {$data['zagsbday']}-{$data['zagsbmonth']}-{$data['zagsbyear']}<br/>";
if ( !empty( $shtamp ) )
{
print "<a href=\"".$shtamp."\"><img src=\"".$shtamp."\" width=128 alt=\"shtamp\"/></a><br/>";
}
if ( $data['sex'] == "2" )
{
echo "<a href=\"zags/?ci={$ci}&amp;id={$id}&amp;pass={$pass}&amp;url={$url}&amp;mod=creat&amp;to={$blog}\">Зделать предложение</a><br/>";
}
echo "<a href=\"mail/?ci={$ci}&amp;id={$id}&amp;pass={$pass}&amp;url={$url}&amp;mod=creat&amp;dbid={$dbid}\">Написать письмо</a><br/>";
echo "<b>".$data['login']." </b></a><a href=\"say.php?ci={$ci}&amp;id={$id}&amp;pass={$pass}&amp;url={$url}&amp;rm={$rm}&amp;dbid={$dbid}&amp;mid={$mid}\">кратко</a><br/>";
echo "---<br/>";
echo "<i>Регистрация:</i> ".$data['regdate']." <br/>";
if ( time( ) - 300 < $data['ltime'] )
{
//echo "<b>Сейчас в чате</b><br/>";
echo " <img src=\"pics/online.gif\" alt=\"Сейчас в чате\"/><br/>";
}
else
{
if ( $data['sex'] == "1" )
{
echo "<b> был в чате:</b> ".date( "Y-m-d", $data['ltime'] )."<br/>";
}
else if ( $data['sex'] == "2" )
{
echo "<b> была в чате:</b> ".date( "Y-m-d", $data['ltime'] )."<br/>";
}
}
echo "</div><br/>";
if ( 3 < $level )
{
echo "<div>";
echo "<b>Ip:</b><br/>".$data['ip']."<br/>";
echo "<b>Браузер:</b><br/>".$data['browser']."<br/>";
echo "</div>";
echo "<form method=\"post\" action=\"cpanel/tools.php?ci={$ci}\">";
echo "<input type=\"hidden\" name=\"id\" value=\"{$id}\"/>";
echo "<input type=\"hidden\" name=\"pass\" value=\"{$pass}\"/>";
echo "<input type=\"hidden\" name=\"rm\" value=\"{$rm}\"/>";
echo "<input type=\"hidden\" name=\"bid\" value=\"{$dbid}\"/>";
echo "<input type=\"submit\" name=\"kick\" class=\"cp\" value=\"Пнуть\"/>\r";
if ( 4 < $level )
{
echo "<input type=\"submit\" name=\"ban\" class=\"cp\" value=\"Забанить\"/>\r";
}
if ( 7 <= $level )
{
echo "<input type=\"submit\" name=\"del\" class=\"dl\" value=\"Удалить\"/>";
}
echo "</form>\n";
}
}
echo "---<br/>\n";
if ( isset( $rm ) )
{
echo "<a href=\"room.php?ci={$ci}&amp;id={$id}&amp;pass={$pass}&amp;url={$url}&amp;rm={$rm}&amp;ref={$rand}\">В чат</a><br/>";
}
$end = gettime( );
echo "<a href=\"enter.php?ci={$ci}&amp;id={$id}&amp;pass={$pass}&amp;url={$url}&amp;ref={$ref}\">Прихожая</a>\r\n<div>";


$topic=htmlspecialchars($ch['topic'], ENT_QUOTES);
$name=htmlspecialchars($ch['name'], ENT_QUOTES);
$link=htmlspecialchars($ch['link'], ENT_QUOTES);
if ( empty( $url ) )
{
echo "<a href=\"".$ch['link']."\"><b><font color=\"red\">©</font> ".$ch['link']."</b></a><br/>";
}
else
{
print "<b><font color=\"red\">©</font> <a href=\"http://{$url}\">{$url}</a></b>";
}


echo "</div>[".round( $end - $mystart, 5 )."]</p>\r\n<p>{$ip}</body></html>";
require("inc/coper.php");
//mysql_close( $link );
echo "\r\n";
?>